Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.core
Class AlignmentToListModel

    java.lang.Object
      |
      +--javax.swing.AbstractListModel
            |
            +--uk.ac.man.bioinf.apps.cinema.core.AlignmentToListModel

All Implemented Interfaces:
  ListModel, Serializable

public class AlignmentToListModel
extends AbstractListModel

AlignmentToListModel.java Created: Tue May 16 17:55:45 2000

Version:
  $Id: AlignmentToListModel.java,v 1.2 2001/04/11 17:04:41 lord Exp $
Author:
  Phillip Lord
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`AlignmentToListModel(SequenceAlignment alignment)`

Method Summary
`void` | `addListDataListener(ListDataListener l)`
`Object` | `getElementAt(int index)`
`int` | `getSize()`
`void` | `removeListDataListener(ListDataListener l)`

Methods inherited from class javax.swing.AbstractListModel
`fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlignmentToListModel

    public AlignmentToListModel(SequenceAlignment alignment)

Method Detail

### getSize

    public int getSize()

### getElementAt

    public Object getElementAt(int index)

### addListDataListener

    public void addListDataListener(ListDataListener l)

  Specified by:
    `addListDataListener` in interface `ListModel`
  Overrides:
    `addListDataListener` in class `AbstractListModel`

### removeListDataListener

    public void removeListDataListener(ListDataListener l)

  Specified by:
    `removeListDataListener` in interface `ListModel`
  Overrides:
    `removeListDataListener` in class `AbstractListModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD